- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
QuattroSpreadsheetInternal::StyleManager Class Reference

the style manager More...

## Public Member Functions
| StyleManager ()
void | add (int id, Style const &st)
| add a new style and returns its id More...
bool | get (int id, Style &style) const
| returns the style with id More...
void | print (int id, std::ostream &o) const
| print a style More...

## Protected Attributes
std::map< int, Style > | m_idStyleMap
| the styles More...

## Detailed Description

the style manager

## Constructor & Destructor Documentation

QuattroSpreadsheetInternal::StyleManager::StyleManager | ( |  | ) |
| inline

## Member Function Documentation

void QuattroSpreadsheetInternal::StyleManager::add | ( | int | id,
|  | Style const & | st
| ) |  |
| inline

add a new style and returns its id

bool QuattroSpreadsheetInternal::StyleManager::get | ( | int | id,
|  | Style & | style
| ) |  | const
| inline

returns the style with id

void QuattroSpreadsheetInternal::StyleManager::print | ( | int | id,
|  | std::ostream & | o
| ) |  | const
| inline

print a style

## Member Data Documentation

std::map<int, Style> QuattroSpreadsheetInternal::StyleManager::m_idStyleMap
| protected

the styles

The documentation for this class was generated from the following file:

- QuattroSpreadsheet.cpp